void menuCommands() {
  display.setTextSize(2);

  if(exit_menu_code == 41) {
    display.setTextColor(BLACK, WHITE);
  }
  display.setCursor(40, 8);
  display.write(command_mode + 97);

  display.setTextColor(WHITE);
  if(exit_menu_code == 42) {
    noteIDNumber();
    display.setTextColor(BLACK, WHITE);
  }

  display.setCursor(52, 8);
  if(set_ID_number < 10) {
    display.print("00");
  }
  else if(set_ID_number < 100) {
    display.print("0");
  }
  display.print(set_ID_number);

  // note -----------------------------------------------------------------------------------------
  if(exit_menu_code == 41) {
    display.setTextColor(WHITE);
    display.setTextSize(1);
    display.setCursor(0, 24);
    display.print("-");

    switch(command_mode) {
      case 0:
        display.print("Terminal");
        break;

      case 1:
        display.print("Ping");
        break;

      case 2:
        display.print("Time Info");
        break;

      case 3:
        display.print("Load Time");
        break;

      case 4:
        display.print("Delay Info");
        break;

      case 5:
        display.print("Unit Setting Info");
        break;

      case 6:
        display.print("Alias Info");
        break;

      case 7:
        display.print("Temperature Info");
        break;

      case 8:
        display.print("Battery Info");
        break;

      case 9:
        display.print("Test LED");
        break;

      case 10:
        display.print("Test Buzzer");
        break;
      
      case 11:
        display.print("Unit Info");
        break;
      
      case 12:
        display.print("LED & Buzzer Test");
        break;

      default:
        display.print("UNKNOWN");
        break;
    }
  }
}


void showIncoming() {
  display.setCursor(0, 24);
  display.print(display_msg);
}


void prichozi(String msg_to_print) {
  if(msg_to_print.length() > 20) {
    display_msg = String("[Long MSG]");
  }
  else {
    display_msg = String(msg_to_print);
  }

  menu();
}


void showCommands() {
  if((exit_menu_code == 41) || (exit_menu_code == 42)) {
    menuCommands();
  }
  else if(exit_menu_code == 255) {
    showIncoming();
  }
  else {
    display.setTextSize(2);
    display.setCursor(15, 8);
    display.print("Commands");
    display.display();
  }
}
